

wm withdraw .
set pi 3.1415

# Creating a circle with 8 segments
# First the points
set pts [ vtkPoints  New ]
$pts SetNumberOfPoints 9
for { set i 0 } { $i <= 7 } { incr i } {
   set rad [ expr $i/8.0 * 180.0/$pi ]
   set x [ expr 10.0* sin($rad) ]
   set y [ expr 10.0* cos($rad) ]
   $pts SetPoint $i $x $y 0.0
   puts stdout "Point $i = [ $pts GetPoint $i ]"
}
# Set apex point as point 8
$pts SetPoint 8 0.0 0.0 10.0

# Next the line segments
set triangles [ vtkCellArray  New ]
$triangles Allocate 10 5
for { set i 0 } { $i <= 7 } { incr i } {
   set p1 $i
   set p2 [ expr $i + 1 ]
   if { $p2 > 7 } { set p2 0 }
   $triangles InsertNextCell 3
   $triangles InsertCellPoint $p1;
   $triangles InsertCellPoint $p2
   $triangles InsertCellPoint 8
   puts stdout "Set Line Segment $i = ($p1, $p2)"
}

# Create the curve object and set the points and triangles
set surface [ vtkPolyData  New ]
$surface SetPoints $pts
$surface SetPolys $triangles

# Since VTK uses reference counting delete pts and triangles
# as these are counted inside surface
$pts Delete
$triangles Delete

# Save the surface to a file
set writer [ vtkPolyDataWriter  New ]
$writer SetInput $surface
$writer SetFileName surface.vtk
$writer Write

# Clean Up all objects and exit
$writer Delete
$surface  Delete
exit

