set img [ vtkImageData New ]
$img SetDimensions 20 20 1
$img SetSpacing 1.0 1.0 1.0
$img SetOrigin 0.0 0.0 0.0
$img SetNumberOfScalarComponents 1
$img SetScalarTypeToUnsignedChar
$img AllocateScalars

set data  [ [ $img GetPointData ] GetScalars ]
$data FillComponent 0 0

for { set i 0 } { $i <= 19 } { incr i } {
    for { set j 0 } { $j <= 19 } { incr j } {
	if { $i == $j || [ expr $i + $j ] == 19 } {
	    $img SetScalarComponentFromDouble $i $j 0 0 200
	}
    }
}

set smooth [ vtkImageGaussianSmooth New ]
$smooth SetInput $img
$smooth SetStandardDeviations 1.0 1.0 0.0
$smooth SetDimensionality 2
$smooth Update

set writer [ vtkJPEGWriter New ]
$writer SetFileDimensionality 2
$writer SetFileName "smoothedx.jpeg"
$writer SetInput [ $smooth GetOutput] 
$writer Write

$writer Delete
$smooth Delete
$img Delete

exit

