wm withdraw .

set reader [ vtkTIFFReader New] 
$reader SetFileName brain.tif
$reader Update

set xform [ vtkTransform New]
$xform PostMultiply
$xform Translate -62.0 -80.0 0
$xform RotateWXYZ 20 0 0 1
$xform Translate 62.0 80.0 0.0

set resl [ vtkImageReslice New]
$resl SetOutputExtent 0 199 0 199 0 0
$resl SetOutputOrigin -20.0 -20.0 0.0
$resl SetOutputSpacing 1.0 1.0 1.0
$resl SetInput [ $reader GetOutput ]
$resl SetResliceTransform $xform
$resl SetInterpolationModeToLinear
$resl Update

set dim [ [ $resl GetOutput ] GetDimensions ]
puts stderr "Output Dimensions = $dim"

set writer [ vtkJPEGWriter New] 
$writer SetInput [ $resl GetOutput ]
$writer SetFileName rotated.jpg
$writer Write

exit



