lappend auto_path [ file dirname [ info script ]]
package require loadbioimagesuite 1.0

set ana [ vtkpxAnalyzeImageSource New]
$ana Load axial.hdr

set img [ $ana GetOutput ]
set orient [ $ana GetOrientation ]
puts stderr "Image Dimensions = [ $img GetDimensions ], Orientation = $orient"

button .bot -text "Exit" -command { destroy .; exit} 
pack .bot -side bottom -expand false -fill x -pady 2

set mos [ vtkpxGUIMosaicViewer New]
$mos Initialize . 1 
$mos SetImage $img $orient 

set cone [ vtkConeSource New]
$cone SetHeight 200.0
$cone SetRadius 1.0
$cone SetResolution 10

set coneMapper  [ vtkPolyDataMapper New]
$coneMapper SetInput [$cone GetOutput]

set coneActor [ vtkActor New]
$coneActor SetMapper $coneMapper

set ren [ $mos GetRenderer 0 ]
$ren AddActor $coneActor


