lappend auto_path [ file dirname [ info script ]]
package require loadbioimagesuite 1.0
wm geometry . 200x200

# First Load the Image
set tr [ vtkpxAnalyzeImageSource New] 
$tr Load axial.hdr

set dim [ [ $tr GetOutput ] GetDimensions ]
set x [ expr round([ lindex $dim 0 ] /2)]
set y [ expr round([ lindex $dim 1 ] /2)]
set z [ expr round([ lindex $dim 2 ] /2)]

set colormap [ vtkLookupTable New] 
$colormap SetNumberOfColors 256
$colormap SetTableRange 0 255
for { set i 0 } { $i  < 256 } { incr i } {
    set v [ expr $i /255.0 ]
    $colormap SetTableValue $i $v 0.2 0.2 1.0
}

set orthoslice [ vtkpxOrthoImageSlice New] 
$orthoslice SetInput [ $tr GetOutput ]
$orthoslice SetFrame 0
$orthoslice SetLevels $x $y $z
$orthoslice SetDisplayMode 3
$orthoslice SetLookupTable $colormap

set ren [ vtkRenderer New] 
$ren AddActor $orthoslice

set renwin [ vtkRenderWindow New ]
$renwin AddRenderer $ren
$renwin SetSize 300 300
$ren ResetCamera
$renwin Render

# Interactor
set iren [ vtkRenderWindowInteractor New ]
$iren SetRenderWindow $renwin
$iren Initialize
$iren AddObserver SetExitMethod { exit }

wm withdraw .; vwait forever



