lappend auto_path [ file dirname [ info script ]]
package require loadbioimagesuite 1.0
wm geometry . 200x200

# First Load the Image
set tr [ vtkpxAnalyzeImageSource New ] 
$tr Load axial.hdr

set dim [ [ $tr GetOutput ] GetDimensions ]
set x [ expr round([ lindex $dim 0 ] /2)]
set y [ expr round([ lindex $dim 1 ] /2)]
set z [ expr round([ lindex $dim 2 ] /2)]


set vol [ vtkpxVolume New] 
$vol SetInput [ $tr GetOutput ]
$vol SetFrame 0
$vol SetResliceModeToHalfOriginal
$vol SetVolumeRenderingModeToTextureMap3D

set outline [ vtkOutlineFilter New]
$outline SetInput [ $tr GetOutput ]

set map [ vtkPolyDataMapper New]
$map SetInput [ $outline GetOutput ]

set actor [ vtkActor New]
$actor SetMapper $map


set ren [ vtkRenderer New] 
$ren AddVolume $vol
$ren AddActor $actor

set renwin [ vtkRenderWindow New ]
$renwin AddRenderer $ren
$renwin SetSize 300 300
$ren ResetCamera
$renwin Render

# Interactor
set iren [ vtkRenderWindowInteractor New ]
$iren SetRenderWindow $renwin
$iren Initialize
$iren AddObserver SetExitMethod { exit }

wm withdraw .; vwait forever



