#ifndef __vtkImageSimpleImageThreshold_h
#define __vtkImageSimpleImageThreshold_h

/*

Warning: This class will not work on VTK5.0

*/

#include "vtkSimpleImageToImageFilter.h"
#include "vtkImageData.h"

class vtkImageSimpleThreshold : public vtkSimpleImageToImageFilter
{
public:
  static vtkImageSimpleThreshold *New();
  vtkTypeMacro(vtkImageSimpleThreshold,vtkSimpleImageToImageFilter);

  // Description:
  // Set the thresholds between which output is 1
  vtkGetMacro(LowerThreshold,float);
  vtkSetMacro(LowerThreshold,float);
  vtkGetMacro(UpperThreshold,float);
  vtkSetMacro(UpperThreshold,float);

  // Description:
  // If Binary = 1, then output is 0,1 else output is 0, original
  vtkSetClampMacro(BinaryOutput,int,0,1);
  vtkGetMacro(BinaryOutput,int);
  vtkBooleanMacro(BinaryOutput,int);

  

protected:

  vtkImageSimpleThreshold();
  vtkImageSimpleThreshold(const vtkImageSimpleThreshold&) {};
  void operator=(const vtkImageSimpleThreshold&) {};

  // Description:
  // Do Thresholding Operation 
  virtual void SimpleExecute(vtkImageData* inp,vtkImageData* out);

  //BTX
  float       LowerThreshold,UpperThreshold;
  int         BinaryOutput;
  //ETX
};

#endif
