#ifndef __vtkMyUtility_h
#define __vtkMyUtility_h


#include <vtkObject.h>

class vtkImageData;

class vtkMyUtility : public vtkObject
{
public:
  static vtkMyUtility *New();
  vtkTypeMacro(vtkMyUtility,vtkObject);
  
  // Description:
  // A few simple functions
  static double Average(double a,double b);

  /* The BTX and ETX directives enclose code that should not be parsed
     by vtkWrapTcl to generate Tcl code.  Use these to hide stuff that 
     might confuse the wrappers.

     The current version of vtkWrapTcl is pretty robust and does not need
     this type of assistance too often!
  */

  //BTX
  static double Average(double* a,int n);
  //ETX

  static vtkImageData* ThresholdImage(vtkImageData* img,double min,double max,int binary);


protected:
  vtkMyUtility() {};
  virtual ~vtkMyUtility() {};


};
#endif
