# global variable
# bio_path points to bioimagesuite installation
# If Unix /usr/local/bioimagesuite
# If Windows c:/yale/bioimagesuite
# 
# IF environment variable BIOIMAGESUITEDIR is set this overrides the defaults
#
package provide loadbioimagesuite 1.0

lappend auto_path [ file dirname [ info script ]]

set bio_path /usr/local/bioimagesuite30

if { $tcl_platform(platform) == "windows" } { 
    set bio_path "c:/yale/bioimagesuite30"
}

set fn ""
catch { set fn $env(BIOIMAGESUITE) }

if { $fn != "" } {
    set bio_path $env(BIOIMAGESUITE)
}

puts stderr "Loading BioImage Suite Libraries from $bio_path"

lappend auto_path [file join [file join $bio_path base ] ]
lappend auto_path [file join [file join $bio_path main ] ]
lappend auto_path [file join [file join $bio_path mjack ] ]

package require vtkpxcontrib   1.0
package require vtkmpjcontrib  1.1
package require pxvtable 1.0

unset fn
unset bio_path

