#!/bin/sh
# the next line restarts using wish \
    exec vtk "$0" "$@"

#BIOIMAGESUITE_LICENSE  ---------------------------------------------------------------------------------
#BIOIMAGESUITE_LICENSE  This file is part of the BioImage Suite Software Package.
#BIOIMAGESUITE_LICENSE  
#BIOIMAGESUITE_LICENSE  X. Papademetris, M. Jackowski, N. Rajeevan, R.T. Constable, and L.H
#BIOIMAGESUITE_LICENSE  Staib. BioImage Suite: An integrated medical image analysis suite, Section
#BIOIMAGESUITE_LICENSE  of Bioimaging Sciences, Dept. of Diagnostic Radiology, Yale School of
#BIOIMAGESUITE_LICENSE  Medicine, http://www.bioimagesuite.org.
#BIOIMAGESUITE_LICENSE  
#BIOIMAGESUITE_LICENSE  This file may be freely redited and redistributed
#BIOIMAGESUITE_LICENSE  
#BIOIMAGESUITE_LICENSE  ---------------

# -----------------------
# Dependencies and path
# -----------------------
lappend auto_path [ file dirname [ info script ]]

package require loadbioimagesuite 1.0
package require pxitclbaseimageviewer 1.0
package require mrfutility 1.0

# Eliminate the default tk window
wm withdraw .

# Initialize a base application with some default settings
# See bioimagesuite/main/pxitclbaseimageviewer.tcl for  all the options
set baseviewer [ pxitclbaseimageviewer \#auto 0 ]
$baseviewer configure -appname "BioImage Suite::Intensity Segmentation Tool"
$baseviewer configure -show_standard_images 1
$baseviewer configure -enable_helpmenu 0
$baseviewer configure -enable_multisubjectcontrol 0
$baseviewer configure -enable_overlaytool 0
$baseviewer configure -enable_vvlinkgadget  0
$baseviewer configure -enable_talaraichoption 0
$baseviewer configure -enable_rendering_on_startup  0
$baseviewer configure -enable_brainstriptool 0
$baseviewer configure -enable_landmarkcontrol 0
$baseviewer configure -enable_polydatacontrol 0

# Create a Viewer
# Uncomment one of the next four lines to select the viewer of your choice
$baseviewer InitializeObjectmapViewer .[ pxvtable::vnewobj ] 1

# Add a submenu for your own tools
set menubase [ $baseviewer cget -menubase ]
set mb [ menu $menubase.[pxvtable::vnewobj] -tearoff 0  ]
$menubase add cascade  -label "MRFSegmentation" -menu $mb -underline 0

# Create your own tool (or set of tools), add it to the menu, and register it with baseviewer
set myutil [ mrfutility \#auto $baseviewer ]
$myutil Initialize [ $baseviewer GetBaseWidget ].[ pxvtable::vnewobj ]
$myutil AddToMenuButton $mb 
$baseviewer AddControl $myutil

# Finally create the help menu on the far right
$baseviewer CreateHelpMenu

# Show the Main Window 
$baseviewer ShowWindow   

# If an argument is specified, attempt to Load an Image from it
set argc [llength $argv]
if { $argc > 0 } {   $baseviewer LoadImage [lindex $argv 0]   }

# Enable rendering
update idletasks
[ $baseviewer GetViewer ] SetEnableRendering 1

