#ifndef __vtkitkSignedDanielssonDistanceMapImageFilter_h
#define __vtkitkSignedDanielssonDistanceMapImageFilter_h

#include "vtkSimpleImageToImageFilter.h"
#include "vtkImageData.h"

class vtkitkSignedDanielssonDistanceMapImageFilter : public vtkSimpleImageToImageFilter
{
public:
  static vtkitkSignedDanielssonDistanceMapImageFilter *New();
  vtkTypeMacro(vtkitkSignedDanielssonDistanceMapImageFilter,vtkSimpleImageToImageFilter);


  // Description:
  // Threshold Value
  vtkSetMacro(LowerThreshold,double);
  vtkGetMacro(LowerThreshold,double);

  vtkSetMacro(UpperThreshold,double);
  vtkGetMacro(UpperThreshold,double);
  
  vtkSetMacro(InValue,double);
  vtkGetMacro(InValue,double);

  vtkSetMacro(OutValue,double);
  vtkGetMacro(OutValue,double);


protected:

  vtkitkSignedDanielssonDistanceMapImageFilter();
  virtual ~vtkitkSignedDanielssonDistanceMapImageFilter();
  vtkitkSignedDanielssonDistanceMapImageFilter(const vtkitkSignedDanielssonDistanceMapImageFilter&) {};
  void operator=(const vtkitkSignedDanielssonDistanceMapImageFilter&) {};

  // Description:
  // Specify Output Stuff
  virtual int RequestInformation(vtkInformation *request,  vtkInformationVector **inputVector, 
				 vtkInformationVector *outputVector);

  // Description
  // Boilerplate code from filter
  virtual void SimpleExecute(vtkImageData* inp,vtkImageData* out);

  // Description:
  // Basic Methods
  virtual int  RunFilter(vtkImageData* input,vtkImageData* output);

  // Description:
  // If DoClosing = 1 do closing before Distance Filter
  double        LowerThreshold;
  double        UpperThreshold;
  double        InValue;
  double        OutValue;
};
#endif
