proc parsefilename { filename } {

    set path [ file dirname $filename ]
    set tail [ file tail    $filename ]

    set rootname [ file root $tail ]
    set extension [ file extension $tail ]

    set output [ list $path $rootname $extension ]

    return $output
}

set filenames [ list "c:/temp/hello.txt" /usr/local/test ]

for { set i 0 } { $i <= 1 } { incr i } {
    
    set testfilename [ lindex $filenames $i ]

    puts stderr "\nParsing $testfilename"
    set results [ parsefilename $testfilename ]

    
    puts stderr "\tThe path name is: [ lindex $results 0 ]"
    puts stderr "\tThe main name is: [ lindex $results 1 ]"
    
    set ext [ lindex $results 2 ]
    if { [ string length $ext ] > 0 } {
	puts stderr "\tThe extension is: $ext"
    } else {
	puts stderr "\tThe filename has no extension"
    }
}
exit

