#!/bin/sh
# the next line is executed by the shell, but it is a comment in tcl \
  exec wish "$0" "$@"

proc Reset { } {

    global parameters
    set parameters(usegradient) 1
    set parameters(usehessian) 0
    set parameters(color) "Red"
    set parameters(smoothness) 1.5
}

proc PrintStatus { } {
    global parameters

    puts stderr "Using Gradient : $parameters(usegradient)"
    puts stderr "Using Hessian  : $parameters(usehessian)"
    puts stderr "Color:           $parameters(color)"
    puts stderr "Smoothness:      $parameters(smoothness)"
}

Reset

frame .top; 
frame .middle -height 10 -bg black;
frame .middle2
frame .bottom

pack .top .middle .middle2 .bottom -side top -expand false -fill x

button .top.b1 -text "Print Status" -command  { PrintStatus }
button .top.b2 -text "Reset" -command  { Reset }
pack .top.b1 .top.b2 -side left -expand true -fill x

button .bottom.b1  -text "Exit"  -command { exit }
pack .bottom.b1   -side left -expand true -fill x


set w1 [ frame .middle2.left ]
set w2 [ frame .middle2.middle ]
set w3 [ frame .middle2.right ]
pack $w1 $w2 $w3 -side left -expand true -fill both

checkbutton $w1.1 -variable parameters(usegradient) -text "Use Gradient"
checkbutton $w1.2 -variable parameters(usehessian) -text "Use Hessian"
pack $w1.1 $w1.2 -side left -expand true -fill x

radiobutton $w2.a -variable parameters(color) -text "Red"   -value "Red"
radiobutton $w2.b -variable parameters(color) -text "Green" -value "Green"
radiobutton $w2.c -variable parameters(color) -text "Blue"  -value "Blue"
pack $w2.a $w2.b $w2.c -side left -expand true -fill x

label $w3.a -text "Smoothness:"
scale $w3.b -variable parameters(smoothness) -from 1.0 -to 5.0 -digits 2 \
    -orient horizontal -resolution 0.1
pack $w3.a $w3.b -side left -expand true -fill x

